# wso2wsf::WSFault Class Reference
[WS Fault]

class WSFault. This class is a derivation of the Exception Class, and is used to implement exceptions generated from WSF/C++ Framework when a client or a server error happens. More...

`#include <WSFault.h>`

Inheritance diagram for wso2wsf::WSFault:

List of all members.

## Public Member Functions
WSF_EXTERN | WSFault (char const *reason)
WSF_EXTERN | WSFault (char const *reason, char const *detail)
WSF_EXTERN | WSFault (char const *reason, char const *detail, char const *code)
WSF_EXTERN | WSFault (char const *reason, char const *detail, char const *code, char const *role)
WSF_EXTERN std::string | getFaultDetail ()
WSF_EXTERN std::string | getFaultRole ()
WSF_EXTERN void | setFaultDetail (char const *detail)
WSF_EXTERN void | setFaultRole (char const *role)
WSF_EXTERN void | process () const

## Detailed Description

class WSFault. This class is a derivation of the Exception Class, and is used to implement exceptions generated from WSF/C++ Framework when a client or a server error happens.

## Constructor & Destructor Documentation

WSF_EXTERN wso2wsf::WSFault::WSFault | ( | char const * | reason | ) |

Constructor accepting a reason for the exception.

Parameters:

  | reason | reason to exception.

WSF_EXTERN wso2wsf::WSFault::WSFault | ( | char const * | reason,
|  | char const * | detail |
| ) |  |  |

Constructor accepting a reason and a code for the exception.

Parameters:

  | reason,Reason | explaining the exception or soap fault reason
  | code,Exception | code

WSF_EXTERN wso2wsf::WSFault::WSFault | ( | char const * | reason,
|  | char const * | detail,
|  | char const * | code |
| ) |  |  |

Constructor accepting a reason and a code for the exception.

Parameters:

  | reason,Reason | explaining the exception.
  | code,Fault | code
  | detail | Fault Detail

WSF_EXTERN wso2wsf::WSFault::WSFault | ( | char const * | reason,
|  | char const * | detail,
|  | char const * | code,
|  | char const * | role |
| ) |  |  |

Constructor accepting a reason and a code for the exception.

Parameters:

  | reason,Reason | explaining the exception.
  | code,Fault | code
  | detail | Fault Detail
  | role | Role

## Member Function Documentation

WSF_EXTERN std::string wso2wsf::WSFault::getFaultDetail | ( |  | ) |

Returns:
  Returns the soap fault detail string

WSF_EXTERN std::string wso2wsf::WSFault::getFaultRole | ( |  | ) |

Returns:
  Returns the soap fault role string

WSF_EXTERN void wso2wsf::WSFault::process | ( |  | ) | const`[virtual]`

Method for doing the required processing, of the Axis Fault.

Implements wso2wsf::Exception.

WSF_EXTERN void wso2wsf::WSFault::setFaultDetail | ( | char const * | detail | ) |

Sets Soap Fault detail information

Parameters:

  | detail | SOAP Fault detail information.

WSF_EXTERN void wso2wsf::WSFault::setFaultRole | ( | char const * | role | ) |

Sets Soap Fault detail information

Parameters:

  | role | SOAPFault role information

The documentation for this class was generated from the following file:

- WSFault.h